Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Anders

[FreeBSD] 4.9 of 5.2

danieldk
5 antwoorden
  • Kan iemand mij de verschillen tussen de 4.9 versie en de 5.2 versie uitleggen?
  • versie 4.9 is de stable branch van FreeBSD versie 5.x is de New technologie release.

    de 4.x branch gaat door tot 4.11 , 4.10 is ook al gereleased.

    de 5.x tree is nog niet stable veklaard en zal als het goed is bij versie 5.3 stable verklaard worden.
    Dit betekend niet dat 5.x nu absoluut onstabiel is, er wordt gezegt dat de laatste 5.x versie stabieler is als de gemiddelde linux distro, maar alleen door het te proberen kom je daar achter.
    Wel kun je makkelijk van 5.2.1 naar 5.3 gaan door een buildworld uit te voeren.

    van 4.x naar 5.x is niet aan te raden omdat de versies teveel verschillen.

    Het kan wel maar is niet aan te raden.

    als 5.x stable is verklaard zal de 4.x tree niet verder ontwikkeld worden en zal men met de 6.x tree beginnen aan de nieuwe branch.

    Wil je echt geen risico nemen ga dan voor 4.x wil je gewoon een desktop of een simpele server die er gerust eens tussenuit kan, dan kun je makkelijk voor de 5.x branch gaan.

    5.2.1 is de laatste versie van de 5 branch.

    op het bsdforum van www.bsdforums.org staat ook genoeg info over dit onderwerp.

    Succes met je keuze
  • Maar hoe zit dat dan met de ondersteuning voor de oude versies van FreeBSD? Kan je die niet gebruiken om toch ondersteuning te hebben voor versie 4?
  • Hoe bedoel je dat? 4.x blijft voorlopig gewoon ondersteund worden (wat betreft securitypatches e.d.).
  • Ik bedoel dat als je v5 draait kan blijven v4 functies *met de backward-v4 port* toch gewoon ondersteunt?

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.